NSI_IMAGE_TAG=hazelnut
TRANSFER_IMAGE_TAG=hazelnut
AUTH_IMAGE_TAG=hazelnut
DBUP_IMAGE_TAG=hazelnut
JS_RELEASE_TAG=baryon

KEYCLOAK_VERSION=26.0.7

###### Keycloak services ######################
# ---------------------------------------- Keycloak
KEYCLOAK_USER=admin
KEYCLOAK_PORT=8080

# ---------------------------------------- Postgres
KEYCLOAK_DB=keycloak
KEYCLOAK_DB_USER=keycloak
KEYCLOAK_DB_PORT=5432
AUTH_URL=https://kc.dc.tb.umwelt.info

###### Dotnet services ######################
# ---------------------------------------- MariaDB
MARIADB_SERVER_HOST=mariadb
MARIADB_ROOT_USER=root
MARIADB_PORT=3306
# ---------------------------------------- Services ports
NSI_DESIGN_PORT=8880
NSI_RELEASE_PORT=8881
TRANSFER_PORT=8893
AUTH_PORT=8894
SQL_PORT=1434
SWAGGER_UI_PORT=8895
# ---------------------------------------- API version
TRANSFER_API_VERSION=3
AUTHZ_API_VERSION=1.1
# ---------------------------------------- Design dataspace dbs
STRUCT_DB_DESIGN=DesignStructDb
STRUCT_DB_DESIGN_USER=testLoginDesignStruct
STRUCT_DB_DESIGN_SERVER=mariadb
DATA_DB_DESIGN=DesignDataDb
DATA_DB_DESIGN_USER=testLoginDesignData
DATA_DB_DESIGN_SERVER=mariadb
# ---------------------------------------- Release dataspace dbs
STRUCT_DB_RELEASE=ReleaseStructDb
STRUCT_DB_RELEASE_USER=testLoginReleaseStruct
STRUCT_DB_RELEASE_SERVER=mariadb
DATA_DB_RELEASE=ReleaseDataDb
DATA_DB_RELEASE_USER=testLoginReleaseData
DATA_DB_RELEASE_SERVER=mariadb
# ---------------------------------------- Common db
COMMON_DB=CommonDb
COMMON_DB_USER=testLoginCommon
COMMON_DB_SERVER=mariadb
COMMON_DB_RO_USER=testLoginCommonRO
# ---------------------------------------- SMTP service config
SMTP_HOST=proxy
SMTP_PORT=25
SMTP_TLS=false
SMTP_USER=

# ---------------------------------------- Authentication
# login/password for user dc-admin realm/dc-realm.json
AUTH_ENABLED=true
AUTH_PROVIDER=keycloak
KEYCLOAK_HOST=kc.dc.tb.umwelt.info
KEYCLOAK_REALM=dctest
KEYCLOAK_CLIENT_ID=stat-suite
DC_DEFAULT_USER=dc-admin

#----------------------------------------- Logging
DOTNET_LOG_LEVEL="Warning"

###### JavaScript services ######################
# ---------------------------------------- Contact
CAPTCHA_SITE_KEY=
CONTACT_FROM='"datacube contact" <datacube@tb.umwelt.info>'
CONTACT_TO='datacube@uba.de'

# ---------------------------------------- Ports
DLM_PORT=7000
DE_PORT=7001
VIEWER_PORT=7002
SHARE_PORT=3005
SFS_PORT=3004
SOLR_PORT=8983
MONGO_PORT=27017

# ---------------------------------------- Services
PROTOCOL=http
HOST=dc.tb.umwelt.info
DEFAULT_TENANT=dc

# ---------------------------------------- Analytics
GA_TOKEN=
GTM_TOKEN_DE=
GTM_TOKEN_DV=
SITE_ENV="dc"

# ---------------------------------------- Webcrawler
ROBOTS_POLICY_DLM="no index, no follow"
ROBOTS_POLICY_DE="all"
ROBOTS_POLICY_DV="all"

# ---------------------------------------- Share
SHARE_MAIL_FROM='"datacube share" <datacube@tb.umwelt.info>'

# ---------------------------------------- Urls
DESIGN_URL=https://dc.tb.umwelt.info/design
RELEASE_URL=https://dc.tb.umwelt.info/release
TRANSFER_URL=https://dc.tb.umwelt.info/transfer/${TRANSFER_API_VERSION}
AUTHZ_URL=https://dc.tb.umwelt.info/auth/${AUTHZ_API_VERSION}
SEARCH_URL=https://dc.tb.umwelt.info/search
SHARE_URL=https://dc.tb.umwelt.info/share
